import { messages } from "@server/constants";
import { Review } from "@models/stories/review";
import { isIdNan } from "@server/middlewareButNotReally";

export default eventHandler(async (ev) => {
	const revid = isIdNan(ev);
	const r = await Review.findById(revid)
		.populate("author", "username _id")
		.exec();
	if (!r) {
		throw createError({
			statusCode: 404,
			message: messages[404],
		});
	}
	return r.toObject();
});
